Bug 36371 - [Gtk] Elements with a title attribute should not be ignored
Summary: [Gtk] Elements with a title attribute should not be ignored
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2010-03-19 08:12 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2010-03-25 04:44 PDT (History)
5 users (show)

See Also:


Attachments
proposed fix (5.21 KB, patch)
2010-03-22 12:32 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2010-03-19 08:12:40 PDT
Currently we ignore any element which does not itself contain content. Thus given:

  <div class="note" title="Note">
    <div class="inner">
      <div class="contents">
        <p class="p">Note contents</p>
      </div>
    </div>
  </div>

We'd expose:

  -> Document Frame
     -> Paragraph (text: Note contents)

If the content provider has specified a title attribute, we should include that element in the hierarchy. When we do so, the title attribute should automatically become exposed as the accessible description, i.e.:

  -> Document Frame
     -> Section (description: Note)
       -> Paragraph (text: Note contents)
Comment 1 Joanmarie Diggs (irc: joanie) 2010-03-19 08:54:55 PDT
Chris: What's the story on the Mac? Do VoiceOver users have a need for this as well, or should it be limited to Gtk?
Comment 2 chris fleizach 2010-03-19 09:25:04 PDT
thats reasonable i think. on the mac, that will be exposed as an AXGroup, which is ok
Comment 3 Joanmarie Diggs (irc: joanie) 2010-03-22 12:32:46 PDT
Created attachment 51334 [details]
proposed fix
Comment 4 Eric Seidel (no email) 2010-03-25 01:48:40 PDT
Comment on attachment 51334 [details]
proposed fix

Looks reasonable to my eye.
Comment 5 WebKit Commit Bot 2010-03-25 04:44:54 PDT
Comment on attachment 51334 [details]
proposed fix

Clearing flags on attachment: 51334

Committed r56530: <http://trac.webkit.org/changeset/56530>
Comment 6 WebKit Commit Bot 2010-03-25 04:44:58 PDT
All reviewed patches have been landed.  Closing bug.